%global pypi_name django-import-export
%global commitId cccad0cadb6812d04f9277f7e1fdfb71d950ca5b
%{?python_disable_dependency_generator}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.8.0
Release:        3%{?dist}
Summary:        Django application and library for importing and exporting data with included admin integration

License:        BSD
URL:            https://github.com/django-import-export/django-import-export
Source0:        python-django-import-export-cccad0cadb6812d04f9277f7e1fdfb71d950ca5b.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
django-import-export is a Django application and library for importing and
exporting data with included admin integration.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Django application and library for importing and exporting data with included admin integration

Requires:       python%{python3_pkgversion}-diff-match-patch
Requires:       python%{python3_pkgversion}-django >= 3.2
Requires:       python%{python3_pkgversion}-tablib >= 3.0.0

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
django-import-export is a Django application and library for importing and
exporting data with included admin integration.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/import_export
%{python3_sitelib}/django_import_export-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 2.8.0-3
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 2.8.0-2
- Rebuilding with python_disable_dependency_generator macro

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 2.8.0-1
- Initial release
